# Created by pyp2rpm-3.3.10
%global pypi_name httpie
%global pypi_version 3.2.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        HTTPie: modern, user-friendly command-line HTTP client for the API era

License:        BSD
URL:            https://httpie.io/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(charset-normalizer) >= 2
BuildRequires:  python3dist(colorama) >= 0.2.4
BuildRequires:  python3dist(defusedxml) >= 0.6
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(flake8-comprehensions)
BuildRequires:  python3dist(flake8-deprecated)
BuildRequires:  python3dist(flake8-mutable)
BuildRequires:  python3dist(flake8-tuple)
BuildRequires:  python3dist(importlib-metadata) >= 1.4
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(multidict) >= 4.7
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pygments) >= 2.5.2
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-httpbin) >= 0.0.6
BuildRequires:  python3dist(pytest-httpbin) >= 0.0.6
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(requests) >= 2.22
BuildRequires:  python3dist(requests-toolbelt) >= 0.9.1
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(rich) >= 9.10
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(twine)
BuildRequires:  python3dist(werkzeug) < 2.1~~
BuildRequires:  python3dist(werkzeug) < 2.1~~
BuildRequires:  python3dist(wheel)

%description
<h2 align"center"> <a href"" target"blank_"> <img height"100" alt"HTTPie" src"
/> <br> HTTPie CLI: human-friendly HTTP client for the API era <div
align"center">[![HTTPie for Desktop]( [![]( [![]( [![Twitter](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(charset-normalizer) >= 2
Requires:       python3dist(colorama) >= 0.2.4
Requires:       python3dist(defusedxml) >= 0.6
Requires:       python3dist(importlib-metadata) >= 1.4
Requires:       python3dist(multidict) >= 4.7
Requires:       python3dist(pip)
Requires:       python3dist(pygments) >= 2.5.2
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-httpbin) >= 0.0.6
Requires:       python3dist(pytest-mock)
Requires:       python3dist(requests) >= 2.22
Requires:       python3dist(requests-toolbelt) >= 0.9.1
Requires:       python3dist(responses)
Requires:       python3dist(rich) >= 9.10
Requires:       python3dist(setuptools)
Requires:       python3dist(werkzeug) < 2.1~~
%description -n python3-%{pypi_name}
<h2 align"center"> <a href"" target"blank_"> <img height"100" alt"HTTPie" src"
/> <br> HTTPie CLI: human-friendly HTTP client for the API era <div
align"center">[![HTTPie for Desktop]( [![]( [![]( [![Twitter](


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md docs/README.md tests/README.md
%{_bindir}/http
%{_bindir}/httpie
%{_bindir}/https
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Jun 01 2025 mockbuilder - 3.2.4-1
- Initial package.